Package org.eclipse.wst.xsl.ui.internal.validation

## org.eclipse.wst.xsl.ui.internal.validation
Class XSLMarkupValidator

    public class XSLMarkupValidator
    extends MarkupValidator

## Constructor Summary

`XSLMarkupValidator()`

## Method Summary

`public void` | `cleanup(IReporter reporter)` (non-Javadoc)
`public void` | `connect(IDocument document)` (non-Javadoc)
`public void` | `disconnect(IDocument document)` (non-Javadoc)
`public void` | `validate(IValidationContext helper , IReporter reporter)`
`public void` | `validate(IRegion dirtyRegion , IValidationContext helper , IReporter reporter)` (non-Javadoc)
`public void` | `validate(IStructuredDocumentRegion structuredDocumentRegion , IReporter reporter)` (non-Javadoc)

## Constructor Detail

## XSLMarkupValidator

`public XSLMarkupValidator()`

## Methods Detail

## cleanup

`public void cleanup(IReporter reporter)`

(non-Javadoc)

### Parameters

`reporter`

## connect

`public void connect(IDocument document)`

(non-Javadoc)

### Parameters

`document`

## disconnect

`public void disconnect(IDocument document)`

(non-Javadoc)

### Parameters

`document`

## validate

`public void validate(IValidationContext helper , IReporter reporter)`

### Parameters

`helper`

`reporter`

### Throws:

`ValidationException`

## validate

`public void validate(IRegion dirtyRegion , IValidationContext helper , IReporter reporter)`

(non-Javadoc)

### Parameters

`dirtyRegion`

`helper`

`reporter`

## validate

`public void validate(IStructuredDocumentRegion structuredDocumentRegion , IReporter reporter)`

(non-Javadoc)

### Parameters

`structuredDocumentRegion`

`reporter`